Re: 4.1.2_release_blocker requested: [Issue 126110] Incompatible API change in Annotations

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Re: 4.1.2_release_blocker requested: [Issue 126110] Incompatible API change in Annotations

Andrea Pescetti-2
On 15/07/2015 bugzilla wrote:
> bmarcelly has asked  for 4.1.2_release_blocker:
> Issue 126110: Incompatible API change in Annotations
> https://bz.apache.org/ooo/show_bug.cgi?id=126110

(CCing the API list; this is the answer I've just posted in the issue)

This will definitely need evaluation on the API list...

So: this is an incompatible change that was introduced in 4.1.0; your
suggestion (but we have no patches for it) would reintroduce the old
behavior for the Annotations (aka Notes, Comments) that were allowed
until 4.0.1, and use the new behavior only for the new
Annotations/Notes/Comments, those that apply to Text Ranges.

Your suggestion makes sense to me, but we will need that someone
contributes a patch to include this in 4.1.2.

Regards,
   Andrea.

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]